Bug 175264 - kernel lockup without "noapic acpi=off" parameters
kernel lockup without "noapic acpi=off" parameters
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
: 181769 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 06:43 EST by Minesh Patel
Modified: 2015-01-04 17:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error during kernel 2.6.15-1.1781_FC4smp startup (77.62 KB, image/jpeg)
2006-01-16 11:10 EST, Minesh Patel
no flags Details
error during kernel 2.6.15-1.1781_FC4smp startup (77.62 KB, image/jpeg)
2006-01-16 11:11 EST, Minesh Patel
no flags Details
dmesg output from kernel-smp-2.6.15-1.1830_FC4.i686 with "maxcpus=1" parameter (16.64 KB, text/plain)
2006-02-08 11:17 EST, Minesh Patel
no flags Details

  None (edit)
Description Minesh Patel 2005-12-08 06:43:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
crashes without "noapic acpi=off" on the following kernels
kernel-2.6.11-1.1369_FC4 
kernel-smp-2.6.11-1.1369_FC4
kernel-2.6.14-1.1644_FC4
kernel-smp-2.6.14-1.1644_FC4 

here are some system details

cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) MP CPU 2.00GHz
stepping        : 5
cpu MHz         : 1988.088
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 3981.96

/sbin/lspci
00:00.0 Host bridge: Broadcom (formerly ServerWorks) CMIC-HE (rev 22)
00:00.1 Host bridge: Broadcom (formerly ServerWorks) CMIC-HE
00:00.2 Host bridge: Broadcom (formerly ServerWorks) CMIC-HE
00:00.3 Host bridge: Broadcom (formerly ServerWorks) CMIC-HE
00:02.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:03.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 0d)
00:0f.0 ISA bridge: Broadcom (formerly ServerWorks) CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: Broadcom (formerly ServerWorks) CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: Broadcom (formerly ServerWorks) OSB4/CSB5 OHCI USB Controller (rev 05)
00:0f.3 Host bridge: Broadcom (formerly ServerWorks) CSB5 LPC bridge
00:10.0 Host bridge: Broadcom (formerly ServerWorks) CIOB30 (rev 03)
00:10.2 Host bridge: Broadcom (formerly ServerWorks) CIOB30 (rev 03)
00:11.0 Host bridge: Broadcom (formerly ServerWorks) CIOB30 (rev 03)
00:11.2 Host bridge: Broadcom (formerly ServerWorks) CIOB30 (rev 03)
01:03.0 Ethernet controller: Intel Corporation 82544GC Gigabit Ethernet Controller (LOM) (rev 02)
03:09.0 SCSI storage controller: Adaptec ASC-29320A U320 (rev 10)
04:08.0 RAID bus controller: Adaptec AAC-RAID (rev 01)


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4 & kernel-smp-2.6.11-1.1369_FC4 & kernel-2.6.14-1.1644_FC4 & kernel-smp-2.6.14-1.1644_FC4 

How reproducible:
Always

Steps to Reproduce:
1. boot installer without "noapic acpi=off" or without "noapic acpi=off" on grub kernel line
2.
3.
  

Actual Results:  freezes during boot. 

Expected Results:  system should boot

Additional info:

dual xeon system with 8 gig of memory
Comment 1 Dave Jones 2005-12-10 00:09:08 EST
can you remove the 'quiet' from the boot command line, and find out where
exactly it hangs ?

The last line or two before the hang may give clues as to where the problem is.
Comment 2 Minesh Patel 2005-12-13 07:12:11 EST
It locks up after      
      
isapnp: Scanning for PnP cards...      
isapnp: No Plug & Play device found      
      
After that there are acpi lines surrounded by < > if just the "noapic"     
kernel parameter is used. if just "acpi=off" is used then there are   
thread_helper lines surrounded by < >.    
      
I will try to get more details in a few weeks      
Comment 3 Dave Jones 2005-12-13 16:26:50 EST
there's a bunch of acpi fixes in the test kernel at
http://people.redhat.com/davej/kernels/Fedora/FC4 too. It'd be good to know if
that fixes this problem.
Comment 4 Minesh Patel 2006-01-10 04:25:06 EST
I've tested the 2.6.15-1.1781_FC4smp test kernel and it still crashes during  
startup    
    
grub entry    
    
title Fedora Core (2.6.15-1.1781_FC4smp) REDHAT TEST    
        root (hd0,0)    
        kernel /boot/vmlinuz-2.6.15-1.1781_FC4smp ro root=LABEL=/1 rhgb    
        initrd /boot/initrd-2.6.15-1.1781_FC4smp.img    
    
last line shown during boot up is     
    
<c01347a2> call_usermode_helper+0x2e-0x38    
Comment 5 Dave Jones 2006-01-12 19:52:58 EST
I need the whole dump, not just the last line.  (Preferably after booting with
vga=791 to get more lines on the screen).  Even a photo (if you have a digital
camera) would be acceptable.
Comment 6 Minesh Patel 2006-01-16 11:10:50 EST
Created attachment 123241 [details]
error during kernel 2.6.15-1.1781_FC4smp startup

error displayed during kernel 2.6.15-1.1781_FC4smp
Comment 7 Minesh Patel 2006-01-16 11:11:16 EST
Created attachment 123242 [details]
error during kernel 2.6.15-1.1781_FC4smp startup

error displayed during kernel 2.6.15-1.1781_FC4smp boot up
Comment 8 Minesh Patel 2006-01-16 11:18:05 EST
I've added a photo of the error during boot up with the 2.6.15-1.1781_FC4smp   
test kernel. The vga=791 option caused a blank screen during boot up when I 
added it.  
Comment 9 Len Brown 2006-01-18 04:44:13 EST
Please attach the dmesg -s64000 output from the latest kernel that
booted properly without any cmdline workarounds.

Shooting in the dark....
Does it boot with only "acpi=noirq" or "pci=noacpi", or "maxcpus=1" 
or "noapic"?
Comment 10 Minesh Patel 2006-01-19 04:34:05 EST
(In reply to comment #9)    
> Please attach the dmesg -s64000 output from the latest kernel that    
> booted properly without any cmdline workarounds.    
>     
> Shooting in the dark....    
> Does it boot with only "acpi=noirq" or "pci=noacpi", or "maxcpus=1"     
> or "noapic"?    
>     
    
Hello, I currently cannot find a kernel that boots with no command line  
workarounds. I've tried the ones listed in initial comment and the  
2.6.15-1.1781_FC4smp test kernel. I will try those parameters out and add the  
results soon.  
Comment 11 Dave Jones 2006-02-03 00:33:06 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 12 Minesh Patel 2006-02-08 11:14:17 EST
testing different parameters with kernel-smp-2.6.15-1.1830_FC4.i686    
   
"acpi=noirq" =   
   
crashes, last lines are   
simple boot flag at 0x7d set to 0x1   
apf bios not found   
   
"pci=noacpi" = crashes   
   
"maxcpus=1" = booted,dmesg attached   
   
"noapic" = crashes,memory dump   
   
booting with no parameters = crashed,   
last line is acpi:using ioapic interrupt routing   
   
Comment 13 Minesh Patel 2006-02-08 11:17:08 EST
Created attachment 124385 [details]
dmesg output from kernel-smp-2.6.15-1.1830_FC4.i686 with "maxcpus=1" parameter
Comment 14 Minesh Patel 2006-02-16 09:49:34 EST
*** Bug 181769 has been marked as a duplicate of this bug. ***
Comment 15 Dave Jones 2006-09-16 22:05:42 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 16 Dave Jones 2006-10-16 14:11:42 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 17 Jon Stanley 2008-01-19 23:39:02 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.